# Copyright (c) 2010 oc2pus
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments to toni@links2linux.de

# norootforbuild

Name:			Mediathek
Summary:		Durchsucht verschiedene Mediatheken
URL:			http://zdfmediathk.sourceforge.net/
Group:			Productivity/Multimedia/Video/Players
Version:		2.1.2
Release:		1.2
License:		GPL
BuildRequires:	ant
BuildRequires:	jakarta-commons-lang
#BuildRequires:	java-1_6_0-sun-devel
BuildRequires:	java-1_6_0-openjdk-devel
BuildRequires:	jdom
BuildRequires:	jpackage-utils
BuildRequires:	unzip
BuildRequires:	update-alternatives
BuildRequires:	update-desktop-files
%if %suse_version > 1100
BuildRequires:	xmlbeans
%endif
BuildRequires:	xerces-j2
BuildRequires:	xml-commons-apis
Requires:		jakarta-commons-lang
Requires:		java >= 1.6
Requires:		jdom
BuildRoot:		%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Source0:		%{name}_src_%{version}.zip
Source1:		%{name}_%{version}.zip
Source2:		build.xml
BuildArch:		noarch

%description
Das Programm durchsucht verschiedene Mediatheken (ARD, ZDF, Arte,
3Sat, MDR, Schweizer Fernsehen), lädt Beiträge mit einem Programm
eigener Wahl und kann Themen als Abos anlegen und neue Beiträge
automatisch downloaden. Es gibt auch eine einfache Möglichkeit,
Podcasts zu Downloaden.

%prep
%setup -q -n mediathek -a1

%__install -m 644 %{SOURCE2} .

find . -name '.svn' | xargs %__rm -r
%__rm %{name}.jar
%__rm lib/commons-lang*
%__rm lib/jdom*

%build
%ant \
	-Dversion=%{version} \
	jar

%__rm build.xml

%install
export NO_BRP_CHECK_BYTECODE_VERSION=true

# jars
%__install -dm 755 %{buildroot}%{_javadir}/%{name}
%__install -pm 644 lib/%{name}.jar \
	%{buildroot}%{_javadir}/%{name}/%{name}-%{version}.jar
pushd %{buildroot}%{_javadir}/%{name} && \
	for jar in *-%{version}*; do \
		ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`; \
	done
popd
%__install -pm 644 lib/rome*.jar \
	%{buildroot}%{_javadir}/%{name}

# startscript
%__cat > %{name}.sh << EOF
#!/bin/bash

# set jar-entry-class
MAIN_CLASS="mediathek.Main"

# source the jpackage helpers and set environment
VERBOSE=1
.  %{_javadir}-utils/java-functions
set_javacmd
check_java_env
set_jvm_dirs
set_options "-Xmx756m"
CLASSPATH=\`build-classpath commons-lang jdom %{name}\`

run "\$@"
EOF

%__install -dm 755 %{buildroot}%{_bindir}
%__install -m  755 %{name}.sh \
	%{buildroot}%{_bindir}

# icon
#%__install -dm 755 %{buildroot}%{_datadir}/pixmaps
#%__install -m 644 %{name}-1.png \
#	%{buildroot}%{_datadir}/pixmaps/%{name}.png

# menu-entry
%__cat > %{name}.desktop << EOF
[Desktop Entry]
Comment=Mediathek Viewer
Name=%{name}
GenericName=%{name}
Type=Application
Exec=%{name}.sh -D
#Icon=%{name}
EOF
%suse_update_desktop_file -i %{name} AudioVideo TV

%clean
[ -d "%{buildroot}" -a "%{buildroot}" != "" ] && %__rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%doc *.pdf 
%doc releases readme.txt
%{_bindir}/%{name}.sh
%dir %{_javadir}/%{name}
%{_javadir}/%{name}/*.jar
%{_datadir}/applications/%{name}.desktop
#%{_datadir}/pixmaps/%{name}.png

%changelog
* Tue Aug 10 2010 toni@links2linux.de
- update to 2.1.2
* Sun Aug  1 2010 toni@links2linux.de
- update to 2.1.1
* Sat Apr  3 2010 toni@links2linux.de
- update to 2.0.1
* Thu Feb 25 2010 toni@links2linux.de
- update to 2.0.0
* Sun Feb  7 2010 toni@links2linux.de
- update to 1.6.0
* Fri Jan 29 2010 toni@links2linux.de
- First packaged release 1.5.0
